NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.FlexibleCableBuilder Class Reference

Represents a Flexible Cable feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.FlexibleCableBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BendAngleDirectionOptions { ReverseNormalDirection, NormalDirection }
 This enum represents the bend angle direction for the bend segment. More...
 
enum  PathAdjustmentAngleDirectionOptions { LeftDirection, RightDirection }
 This enum represents the path adjustment angle direction for the bend segment. More...
 
enum  SegmentTypeOptions { Planar, Bend }
 Represents the Flexible Cable segment options. More...
 

Public Member Functions

unsafe
NXOpen.Features.SheetMetal.FlexibleCableSegment 
CreateBendSegment (string bendAngle, string bendRadius, string pathAdjustmentAngle, NXOpen.Features.SheetMetal.FlexibleCableBuilder.BendAngleDirectionOptions bendAngleDirection, NXOpen.Features.SheetMetal.FlexibleCableBuilder.PathAdjustmentAngleDirectionOptions pathAdjustmentAngleDirection, int segmentIndex)
 Creates a new Features.SheetMetal.FlexibleCableSegment bend segment. More...
 
unsafe
NXOpen.Features.SheetMetal.FlexibleCableSegment 
CreatePlanarSegment (string length, int segmentIndex)
 Creates a new Features.SheetMetal.FlexibleCableSegment planar segment. More...
 
unsafe void DeleteAllSegments ()
 Deletes all cable segments. More...
 
unsafe void DeleteSegment (int index)
 Deletes a cable segment at given index. More...
 
unsafe int GetIndexOfSegment (NXOpen.Features.SheetMetal.FlexibleCableSegment flexibleCableSegment)
 Returns the index of cable segment. More...
 
unsafe
NXOpen.Features.SheetMetal.FlexibleCableSegment 
GetSegment (int index)
 Returns the cable segment at given index. More...
 
unsafe int GetSegmentCount ()
 Get the count of Features.SheetMetal.FlexibleCableSegment . More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Direction CableDirection [get, set]
 Returns or sets the cable direction. More...
 
unsafe int ConductorCount [get, set]
 Returns or sets the count of conductors. More...
 
unsafe NXOpen.Expression ConductorSpacing [get]
 Returns the conductor spacing. More...
 
unsafe NXOpen.Expression ConductorWidth [get]
 Returns the conductor width. More...
 
unsafe NXOpen.Expression CrossSectionWidth [get]
 Returns the cross section width. More...
 
unsafe NXOpen.TaggedObjectList SegmentList [get]
 Returns the cable segment list. More...
 
unsafe NXOpen.Point StartPoint [get, set]
 Returns or sets the start point. More...
 
unsafe NXOpen.Expression StrippingLength [get]
 Returns the stripping length. More...
 
unsafe NXOpen.Expression Thickness [get]
 Returns the thickness. More...
 
unsafe NXOpen.Direction ThicknessDirection [get, set]
 Returns or sets the thickness direction. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Flexible Cable feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateFlexibleCableBuilder

Default values.

Property Value

ConductorCount

5

ConductorSpacing.Value

1 (millimeters part), 0.1 (inches part)

ConductorWidth.Value

2 (millimeters part), 0.2 (inches part)

CrossSectionWidth.Value

20 (millimeters part), 1 (inches part)

StrippingLength.Value

3 (millimeters part), 0.3 (inches part)

Thickness.Value

1 (millimeters part), 0.04 (inches part)

Created in NX6.0.0

Member Enumeration Documentation

This enum represents the bend angle direction for the bend segment.

First member of the cable is always a planar segment. For this, the normal direction for bend angle is opposite to the thickness direction. This convention continues untill a fold (bend type having nonzero path adjustment angle) is placed. After this, the convention reverses, meaning the normal direction for the bend angle is along the thickness direction. For each member, the thickness direction signifies the material addition direction. This is an input for the entire cable at the start.

Enumerator
ReverseNormalDirection 

Bend angle reverse normal direction.

NormalDirection 

Bend angle normal direction.

This enum represents the path adjustment angle direction for the bend segment.

The cross product of the cable direction and the bend angle direction determined using above convention gives the right direction for the path adjustment angle. The left direction is opposite to that.

Enumerator
LeftDirection 

Path adjustment angle left direction.

RightDirection 

Path adjustment angle right direction.

Represents the Flexible Cable segment options.

Enumerator
Planar 

Planar cable segment.

Bend 

Bend cable segment.

Member Function Documentation

unsafe NXOpen.Features.SheetMetal.FlexibleCableSegment NXOpen.Features.SheetMetal.FlexibleCableBuilder.CreateBendSegment ( string  bendAngle,
string  bendRadius,
string  pathAdjustmentAngle,
NXOpen.Features.SheetMetal.FlexibleCableBuilder.BendAngleDirectionOptions  bendAngleDirection,
NXOpen.Features.SheetMetal.FlexibleCableBuilder.PathAdjustmentAngleDirectionOptions  pathAdjustmentAngleDirection,
int  segmentIndex 
)
inline

Creates a new Features.SheetMetal.FlexibleCableSegment bend segment.

This can be either appended at the end, or inserted in between the list. This is decided by the input index.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
bendAngleBend angle.
bendRadiusBend radius.
pathAdjustmentAnglePath adjustment angle.
bendAngleDirectionFeatures.SheetMetal.FlexibleCableBuilder.BendAngleDirectionOptions
pathAdjustmentAngleDirectionFeatures.SheetMetal.FlexibleCableBuilder.PathAdjustmentAngleDirectionOptions
segmentIndexIndex.
Returns
unsafe NXOpen.Features.SheetMetal.FlexibleCableSegment NXOpen.Features.SheetMetal.FlexibleCableBuilder.CreatePlanarSegment ( string  length,
int  segmentIndex 
)
inline

Creates a new Features.SheetMetal.FlexibleCableSegment planar segment.

This can be either appended at the end, or inserted in between the list. This is decided by the input index.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
lengthLength.
segmentIndexIndex.
Returns
unsafe void NXOpen.Features.SheetMetal.FlexibleCableBuilder.DeleteAllSegments ( )
inline

Deletes all cable segments.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

unsafe void NXOpen.Features.SheetMetal.FlexibleCableBuilder.DeleteSegment ( int  index)
inline

Deletes a cable segment at given index.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
indexIndex of the Features.SheetMetal.FlexibleCableSegment which needs to be deleted.
unsafe int NXOpen.Features.SheetMetal.FlexibleCableBuilder.GetIndexOfSegment ( NXOpen.Features.SheetMetal.FlexibleCableSegment  flexibleCableSegment)
inline

Returns the index of cable segment.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
flexibleCableSegmentFeatures.SheetMetal.FlexibleCableSegment .
Returns
unsafe NXOpen.Features.SheetMetal.FlexibleCableSegment NXOpen.Features.SheetMetal.FlexibleCableBuilder.GetSegment ( int  index)
inline

Returns the cable segment at given index.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
indexIndex of the required Features.SheetMetal.FlexibleCableSegment .
Returns
unsafe int NXOpen.Features.SheetMetal.FlexibleCableBuilder.GetSegmentCount ( )
inline

Get the count of Features.SheetMetal.FlexibleCableSegment .

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
Segment count.

Property Documentation

unsafe NXOpen.Direction NXOpen.Features.SheetMetal.FlexibleCableBuilder.CableDirection
getset

Returns or sets the cable direction.

Created in NX7.5.0

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB")

unsafe int NXOpen.Features.SheetMetal.FlexibleCableBuilder.ConductorCount
getset

Returns or sets the count of conductors.

Created in NX7.5.0

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlexibleCableBuilder.ConductorSpacing
get

Returns the conductor spacing.

Created in NX6.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlexibleCableBuilder.ConductorWidth
get

Returns the conductor width.

Created in NX6.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlexibleCableBuilder.CrossSectionWidth
get

Returns the cross section width.

Created in NX6.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.TaggedObjectList NXOpen.Features.SheetMetal.FlexibleCableBuilder.SegmentList
get

Returns the cable segment list.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Point NXOpen.Features.SheetMetal.FlexibleCableBuilder.StartPoint
getset

Returns or sets the start point.

Created in NX7.5.0

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlexibleCableBuilder.StrippingLength
get

Returns the stripping length.

Created in NX6.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlexibleCableBuilder.Thickness
get

Returns the thickness.

Created in NX6.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Direction NXOpen.Features.SheetMetal.FlexibleCableBuilder.ThicknessDirection
getset

Returns or sets the thickness direction.

Created in NX7.5.0

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.